Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQErrorMessage Class Reference

The TQErrorMessage class provides an error message display dialog. More...

`#include <ntqerrormessage.h>`

Inherits TQDialog.

List of all member functions.

## Public Members

- TQErrorMessage ( TQWidget * parent, const char * name = 0 )
- ~TQErrorMessage ()

## Public Slots

- void message ( const TQString & m )

## Static Public Members

- TQErrorMessage * qtHandler ()

## Detailed Description

The TQErrorMessage class provides an error message display dialog.

This is basically a TQLabel and a "show this message again" checkbox which remembers what not to show.

There are two ways to use this class:

1. For production applications. In this context the class can be used to display messages which you don't need the user to see more than once. To use TQErrorMessage like this, you create the dialog in the usual way and call the message() slot, or connect signals to it.

2. For developers. In this context the static qtHandler() installs a message handler using qInstallMsgHandler() and creates a TQErrorMessage that displays tqDebug(), tqWarning() and tqFatal() messages.

In both cases TQErrorMessage will queue pending messages, and display them (or not) in order, as soon as the user presses Enter or clicks OK after seeing each message.

See also TQMessageBox, TQStatusBar::message(), Dialog Classes, and Miscellaneous Classes.

## Member Function Documentation

### TQErrorMessage::TQErrorMessage ( TQWidget * parent, const char * name = 0 )

Constructs and installs an error handler window. The parent parent and name name are passed on to the TQDialog constructor.

### TQErrorMessage::~TQErrorMessage ()

Destroys the object and frees any allocated resources. Notably, the list of "do not show again" messages is deleted.

### void TQErrorMessage::message ( const TQString & m )`[slot]`

Shows message m and returns immediately. If the user has requested that m not be shown, this function does nothing.

Normally, m is shown at once, but if there are pending messages, m is queued for later display.

### TQErrorMessage * TQErrorMessage::qtHandler ()`[static]`

Returns a pointer to a TQErrorMessage object that outputs the default TQt messages. This function creates such an object, if there isn't one already.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.